Bug 236032 - provide build version, flags, configure args, env, and components at runtime
provide build version, flags, configure args, env, and components at runtime
Product: 389
Classification: Community
Component: Directory Server (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Bob Lord
Chandrasekar Kannan
Depends On:
Blocks: 152373 434915
  Show dependency treegraph
Reported: 2007-04-11 12:19 EDT by Rich Megginson
Modified: 2015-01-04 18:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-08-24 19:04:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rich Megginson 2007-04-11 12:19:30 EDT
When we build the directory server, we should store the following information
and make it available at runtime:
* version number including any patch/hotfix/alpha/beta version information
* the arguments to the configure command - this may include explicit switches on
the configure command line such as --with-fhs, and environment variables set
that affect configure such as CFLAGS=-xarch=v9
* a list of all of the components used to build the product - this list should
include the exact version and possibly the md5sum of key files used in the component

I'm not sure what file format to use.  There may already be a convention used in
other projects.  Ideally, this information would be printed by the server itself
e.g. I should be able to do ns-slapd --buildinfo (we already use -v and -V for
other things) and have it print out this information.

In the absence of a pre-existing convention for this type of information, I
think /usr/share/<packagename> should be the directory used, and this directory
will contain a file called buildinfo.<uniqueversion> where <uniqueversion> is
the unique numeric version string.

Note that if it is not possible to distinguish between environment variables
that affect configure/make and those which do not, we should just dump all
environment variables passed to configure and screen out those that may contain
sensitive information (e.g. USER, HOME, etc.)

Note You need to log in before you can comment on or make changes to this bug.